Name:           osc
Version:        0.157.2
Release:        1%{?dist}.1
Group:          Development/Tools
License:        GPLv2+
Url:            https://github.com/openSUSE/osc
Source:         https://github.com/openSUSE/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         osc-0.142.0-support-osc-copyprj-in-api.patch
Patch1:         osc-0.151.2-add-sb2install-support.patch
Summary:        The openSUSE Build Service Commander
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  rpm-python
BuildRequires:  python-urlgrabber
BuildRequires:  diffstat
Requires:       rpm-python
Requires:       m2crypto
Requires:       python-lxml
Requires:       python-urlgrabber
Requires:       fuse-python
Requires:       diffstat

Recommends:     osc-source_validator

%description
Commandline client for the openSUSE Build Service.

See http://en.opensuse.org/openSUSE:OSC , as well as
http://en.opensuse.org/openSUSE:Build_Service_Tutorial for a general
introduction.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

#fixup encoding
iconv -f ISO8859-1 -t UTF-8 -o TODO.new TODO
mv TODO.new TODO

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root %{buildroot}
%__ln_s osc-wrapper.py %{buildroot}/%{_bindir}/osc
%__mkdir_p %{buildroot}%{_localstatedir}/lib/osc-plugins
%__mkdir_p %{buildroot}%{_datadir}/bash-completion/completions/
install -Dm0644 dist/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
install -Dm0644 dist/complete.sh %{buildroot}%{_datadir}/bash-completion/completions/osc
install -Dm0755 dist/osc.complete %{buildroot}%{_datadir}/osc/complete

%check
cd tests; %{__python} suite.py

%files
%doc AUTHORS README TODO NEWS
%license COPYING
%{_bindir}/osc*
%{python_sitelib}/*
%config %{_sysconfdir}/profile.d/osc.csh
%{_datadir}/bash-completion/completions/osc
%dir %{_localstatedir}/lib/osc-plugins
%{_mandir}/man1/osc.*
%{_datadir}/osc
%changelog
* Tue Mar 21 2017 Oleg Girko <ol@infoserver.lv> 0.157.2-1
- rebase to 0.157.2
* Wed Mar  8 2017 Oleg Girko <ol@infoserver.lv> 0.157.1-1
- rebase to 0.157.1
* Mon Dec 21 2015 Oleg Girko <ol@infoserver.lv> 0.156.0-1
- rebase to 0.156.0
* Tue Sep 15 2015 Oleg Girko <ol@infoserver.lv> 0.155.1-1
- rebase to 0.155.1
* Tue Aug 18 2015 Oleg Girko <ol@infoserver.lv> 0.155.0-1
- rebase to 0.155.0
* Thu May 14 2015 Oleg Girko <ol@infoserver.lv> 0.151.2-3
- fix updated patch to fix for handling API URLs with non-root path
- add %%check section that runs testsuite
* Thu May 14 2015 Oleg Girko <ol@infoserver.lv> 0.151.2-2
- update patch to fix for handling API URLs with non-root path
* Sat Apr 25 2015 Oleg Girko <ol@infoserver.lv> 0.151.2-1
- rebase to 0.151.2
- install completion related scripts to more proper directories
- minor specfile changes to look closer to Fedora version
* Thu Jan  8 2015 Oleg Girko <ol@infoserver.lv> 0.149.0-1
- rebase to 0.149.0
- add full Github download URL to Source
- install completion related scripts to proper directories
* Sun Feb  9 2014 Oleg Girko <ol@infoserver.lv> 0.142.0-5
- add patch to fix "osc build $repo aarch64"
* Thu Feb  6 2014 Oleg Girko <ol@infoserver.lv> 0.142.0-4
- add patch for sb2install support in osc build
* Fri Dec 27 2013 Oleg Girko <ol@infoserver.lv> 0.142.0-3
- fix patch to support 'osc copyprj' in api by Islam Amer
* Fri Dec 13 2013 Oleg Girko <ol@infoserver.lv> 0.142.0-2
- add patch to support 'osc copyprj' in api by Islam Amer
* Tue Nov 26 2013 Oleg Girko <ol@infoserver.lv> 0.142.0-1
- rebase to 0.142.0
* Sat Oct 26 2013 Oleg Girko <ol@infoserver.lv> 0.141.0-2
- fix to support TLS SNI
* Sat Oct 26 2013 Oleg Girko <ol@infoserver.lv> 0.141.0-1
- rebase to 0.141.0
* Fri Jul 26 2013 Oleg Girko <ol@infoserver.lv> 0.140.1-107.1.1.1
- fix for handling API URLs with non-root path
* Wed Jul 17 2013 Miroslav Suchý <msuchy@redhat.com> 0.140.1-107.1.1
- add one number to release so we can distinguish from OpenSuse v-r
  (msuchy@redhat.com)
- rebase to 0.140.1 (msuchy@redhat.com)
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.132.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.132.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.132.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Tue Jun 21 2011 Jerome Soyer <saispo@gmail.com> - 0.132.4-1
- Update to 0.132.4
* Thu Jun  9 2011 Jerome Soyer <saispo@gmail.com> - 0.132.1-2
- Fix non-arch dependent shell script in /usr/lib for multilib
* Wed Jun  8 2011 Jerome Soyer <saispo@gmail.com> - 0.132.1-1
- Update to 0.132.1
- Fix tab/space in SPEC file
- Add comment and command for tarball creation
- Fix libdir-macro-in-noarch-package
* Wed Jun  8 2011 Jerome Soyer <saispo@gmail.com> - 0.132.0-1
- Initial build
